import { BindingProperties, OptionValue, ComponentExample, UIModel, ComponentDescriptor, AttributesMap, BaseUIComponent } from '@ngx-dynamic-components/core';
export declare class SelectComponent extends BaseUIComponent<SelectProperties> {
    onSelect(): void;
    get selectStyles(): AttributesMap;
    get options(): OptionValue[];
}
export declare class SelectProperties extends BindingProperties {
    itemsSource: string | OptionValue[];
    selectHeight?: string;
    onSelect?: string;
    placeholder?: string;
    bindLabel?: string;
    bindValue?: string;
}
declare type SelectComponentConstrutor = new () => SelectComponent;
declare type SelectPropertiesConstrutor = new () => SelectProperties;
export declare const example: ComponentExample<UIModel<SelectProperties>>;
export declare const selectDescriptor: ComponentDescriptor<SelectComponentConstrutor, SelectPropertiesConstrutor>;
export {};
